commit:     cf539417cce543bc95574d7e5a5549774aa1ebc4
Author:     123485k <1758961307 <AT> qq <DOT> com>
AuthorDate: Fri Feb  7 12:25:32 2025 +0000
Commit:     V Uethya <1758961307 <AT> qq <DOT> com>
CommitDate: Fri Feb  7 12:25:32 2025 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=cf539417

games-util/goverlay: new package, add 1.2

Signed-off-by: 123485k <1758961307 <AT> qq.com>

 games-util/goverlay/Manifest            |  1 +
 games-util/goverlay/goverlay-1.2.ebuild | 49 +++++++++++++++++++++++++++++++++
 games-util/goverlay/metadata.xml        | 11 ++++++++
 3 files changed, 61 insertions(+)

diff --git a/games-util/goverlay/Manifest b/games-util/goverlay/Manifest
new file mode 100644
index 000000000..fc0ffeff4
--- /dev/null
+++ b/games-util/goverlay/Manifest
@@ -0,0 +1 @@
+DIST goverlay-1.2.gh.tar.gz 1431095 BLAKE2B 
b972497cdf8eed7c8489f3b332e123892bb8d19007368aca6ea376ccd0b7f94ddc1409323bd3d1633cef088ab0a6cc9ca69d34a2c32dfd4b40787c591952d44d
 SHA512 
ffc0fc9e8c41c72aeee52f2aef1a06359f655b05360767ae18ccedb964b9d68a9c90c98bc9e41ba6b2503c1e5fd7deb5ebeffd1916842cb067db7d6f5c98bf50

diff --git a/games-util/goverlay/goverlay-1.2.ebuild 
b/games-util/goverlay/goverlay-1.2.ebuild
new file mode 100644
index 000000000..7269e5759
--- /dev/null
+++ b/games-util/goverlay/goverlay-1.2.ebuild
@@ -0,0 +1,49 @@
+# Copyright 2020-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit xdg-utils
+
+DESCRIPTION="Graphical UI to help manage Linux overlays."
+HOMEPAGE="https://github.com/benjamimgois/goverlay";
+
+if [[ ${PV} == *9999 ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/benjamimgois/${PN}.git";
+       EGIT3_STORE_DIR="${T}"
+else
+       
SRC_URI="https://github.com/benjamimgois/${PN}/archive/refs/tags/${PV}.tar.gz 
-> ${P}.gh.tar.gz"
+       KEYWORDS="~amd64"
+fi
+
+LICENSE="GPL-3"
+SLOT="0"
+
+DEPEND="
+       dev-lang/lazarus
+"
+
+RDEPEND="
+       ${DEPEND}
+       games-util/mangohud
+"
+
+src_prepare() {
+       sed -i 's#/usr/local#/usr#g' Makefile || die "Failed to repalace prefix"
+       eapply_user
+}
+
+src_compile() {
+       emake LAZBUILDOPTS="--lazarusdir=/usr/share/lazarus"
+}
+
+pkg_postinst() {
+       xdg_icon_cache_update
+       xdg_mimeinfo_database_update
+       xdg_desktop_database_update
+}
+
+pkg_postrm() {
+       xdg_desktop_database_update
+}

diff --git a/games-util/goverlay/metadata.xml b/games-util/goverlay/metadata.xml
new file mode 100644
index 000000000..9c196e637
--- /dev/null
+++ b/games-util/goverlay/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+  <maintainer type="person">
+    <email>[email protected]</email>
+    <name>123485k</name>
+  </maintainer>
+  <upstream>
+    <remote-id type="github">benjamimgois/goverlay</remote-id>
+  </upstream>
+</pkgmetadata>

Reply via email to